Live Forms v5.1 is no longer supported. Click here for information about upgrading to our latest GA Release.

Skip to end of metadata
Go to start of metadata

Though most forms created on frevvo v4 will continue to run without any manual action on your part when upgraded to v5, there are a few migration items that you need to consider. Please read and understand the Planning for v5 which may require your action.

Using frevvo version 4.1.7 or later and you want to upgrade to version 5 to take advantage of all the new features? A new menu import item on the Manage Server page is available to help with your upgrade.

The Import /frevvo/data feature is available to the superuser admin only and supports import from the following frevvo GA releases:

  • 4.1.7 and later  

On This Page:

Migrating from HSQLDB

frevvo does not support the use of HSQLDB for use beyond demo/trials of the Live Forms software. If by mistake you continued to use the demo/trial HSQLDB database for production use, you will need to first migrate your data to one of frevvo supported production databases BEFORE you can use the automated migration scripts to upgrade to the latest version of Live Forms.

Upgrading from v4.x - 4.1.6

You will need to upgrade to version 4.1.7 or later before migrating to frevvo version 5. Refer to Upgrading Your In House Server to v4.1.7 or later. for the details. When the upgrade to v4.1.7 or later is complete, return to this page and continue with the Upgrading from v4.1.7+ section below:

Upgrading from v4.1.7+

Please read the following upgrade steps prior to starting the migration.

Migration from frevvo v4.1.7+ to v5.1.1 is not supported for the Oracle database. Please contact frevvo customer support for details and help.

  1. Please read and understand the Migration Considerations which may require your action before beginning.
  2. Backup the v4 server's forms and users databases
  3. Backup the v4 server's installation directory so that you have a copy of all custom configuration parameters and the v4 server's data folder.
  4. Stop the v4 server using stop-frevvo.[bat,sh] or through the Computer Management Services console if frevvo is running as a window's service. It is very important that the v4 server is stopped, otherwise the v5 server may not correctly migrate all existing tenant users.
  5. Download a fresh v5 frevvo server:
    1. Download the latest v5 software.
    2. Request a v5 license key by emailing support@frevvo.com. Your v4 license key will not work with version 5 of frevvo. You must email frevvo to obtain a functional v5 license key.
    3. The download is a zip file. Extract the contents to any folder of your choice. This folder will be refered to as <frevvo-home> (note that the zip already contains a top level frevvo folder).   
  6. Migrate existing 4.1.7 forms & users databases using the upgrade scripts provided in <frevvo-home>/data/sql. You must execute these SQL scripts to perform a few required database schema updates.
    1. Navigate to <frevvo-home>/data/sql. 
    2. The scripts are named by database and by release number of the Live Forms version that you are upgrading from. For example, if your frevvo databases use mySQL5, and since you can only upgrade form versions 4.1.7 or later - use the scripts that have "mysql5" and 417 in its name:
  • forms-mysql5-upgrade-417.sql
  • users-mysql5-upgrade-417.sql

Consult your DBA or your database specific documentation on how to run these scripts.

If you are upgrading from frevvo v4.1.8, v4.1.9, v4.1.10 or v4.1.11, run the v4.1.7 scripts for Step 6.

7. Configure the new installation

Refer to Installation Tasks for more information.

8. Start v5.1 server. Enter the new v5.1 license key obtained in Step 5b .

9.  Login as admin superuser

Do NOT login as any user in any tenant other than default before the import: it will create a .user file in the db and will make the import skip that user. 

10.  Click Import 4.1.7+ /data folder.

11,  Enter the path to the v4.1.7 <frevvo-home>/data folder that you want to import into this installation. 

frevvo checks the .user version and stops the import if the version is not 4.1.7+. Here is an example of the error message if the version you are migrating from is v4.1.4 : "Unsupported migration version: found 4.1.4, but expecting version 4.1.7 or later".


12. Click Import.

 

All tenants and users in the users database should now be imported into the v5.1 database.

Things to Check:

  • login as a tenant admin
  • Click on the Configuration Checklist link to verify that all configurations are complete
  • login as a tenant designer user
  • view and edit a form/flow
  • view submissions that existed before
  • test forms/flows

Live Forms for Confluence

If you are running Live Forms for Confluence please follow the same instructions above to upgrade your frevvo server. Then you must also install the new version of the Live Forms Confluence Add-on into your Confluence server. The frevvo server and the frevvo confluence add-on versions must match.

Database Connector

 If you are using the frevvo database connector, you must reinstall and configure it again for the v5 installation. Version 5 includes the latest database connector, version 2.3 beta. 

Upgrading from v5.x

5.x versions of frevvo do not require the migration of the <frevvo-home>/data as all user data is already moved from the filesystem to the database. 

Please read the following upgrade steps prior to starting the migration.

  1. Please read and understand the Migration Considerations which may require your action before beginning.
  2. Backup the v5 server's forms and users databases
  3. Backup the v5 server's installation directory so that you have a copy of all custom configuration parameters
  4. Stop the v5 server using stop-frevvo.[bat,sh] or through the Computer Management Services console if frevvo is running as a window's service. It is very important that the v5 server is stopped, otherwise the new v5 server may not correctly migrate all existing tenant users.
  5. Install a fresh v5 frevvoserver:
    1. Download the latest v5 software. Note that you will need to provide your login credentials to download the software.
    2. Request a v5 license key.
    3. The download is a zip file. Extract the contents to any folder of your choice. This folder will be refered to as <frevvo-home> (note that the zip already contains a top level frevvo folder).  
  6. Configure the new installation

Refer to Installation Tasks for more information.

7. Start the v5 server. Enter the new v5 license key obtained in Step 5b.

Things to Check:

  • login as a tenant admin
  • Click on the Configuration Checklist link to verify that all configurations are complete
  • login as a tenant designer user
  • view and edit a form/flow
  • view submissions that existed before
  • test forms/flows

Live Forms for Confluence

If you are running Live Forms for Confluence please follow the same instructions above to upgrade your frevvo server. Then you must also install the new version of the Live Forms Confluence Add-on into your Confluence server. The frevvo server and the frevvo Confluence Add-on versions must match.

Database Connector

If you are using the frevvo database connector, you must reinstall and configure it again for the v5 installation. Version 5 includes the latest database connector, version 2.3.

 

 

 

 

 

  • No labels